<?php
/*
Plugin Name: Ploxel
Plugin URI: http://wordpress.org/plugins/ploxel/
Description: Sell tickets online your WordPress site with Ploxel, see https://www.ploxel.com/apps/wordpress for more information and to get your integration code.
Version: 1.0
Author: Ploxel
Author URI: http://www.ploxel.com/apps/wordpress
License: GPLv3
*/

define('PLOXEL_PLUGIN_VERSION', '1.0');

function init_ploxel_script() {
    wp_enqueue_style('ploxel-css', plugins_url('/css/ploxel.css', __FILE__ ));
    wp_enqueue_script('ploxel-jquery', plugins_url('/js/ploxel_jquery.js', __FILE__ ), array('jquery'));
}

add_action( 'wp_enqueue_scripts', 'init_ploxel_script' );

function ploxel_iframe_plugin($attrs) {
    $id = rand(0, 10);

    if(!isset($attrs['src'])) {
        return 'Sorry you have not set an url, please check your code again';
    }

    $html = '<iframe';

    foreach($attrs as $attr => $value) {
        if($attr != '') {
            $html .= ' ' . esc_attr($attr) . '="' . esc_attr($value) . '"';
        }
    }

    $html .= ' id="plox' . $id . '" class="iFrameResize"></iframe>';

    $html .= '<script>jQuery( document ).ready(function() { iFrameResize(\'\',\'.iFrameResize\'); });</script>';
    return $html;
}

add_shortcode('ploxel', 'ploxel_iframe_plugin');